#! /bin/sh
#===================================================================
#program to generate distribution template.
APP=gendisttpl
#===================================================================
#lock procedure
lockproc()

{
LOCKFILE=/var/lock/`basename $0`.$1.lck

trap "rm -f $LOCKFILE ; exit 1" 1 2 3 15
if (set -C; : > $LOCKFILE) 2> /dev/null ; then
    echo $$ >> $LOCKFILE
  else
    echo "Another '`basename $0` $1' is running, existing at once!"
    echo "remove $LOCKFILE, if it is not the case"
    exit 0;
  fi
}
#=================================================================
sortie()

{
rm -f $LOCKFILE
}
#=================================================================
#set the lock access
NOUV=""
case "$1" in
  "fresh"	)
    NOUV="-f"		#Un ensemble de version completement fraiche
    ;;
  "*"		)
   ;;
  esac
lockproc all
rm -fr /tmp/`basename $0`.out
LINUX=`repovar.sh`
for l in $LINUX
  do
  VNUM=`repovar.sh $l VNUM`
  DIST=`repovar.sh $l DIST`
  ARCH=`repovar.sh $l ARCH`
  for arch in $ARCH
    do
    SYSNAME=$DIST-$arch
    CMD="/usr/sbin/vzpackage.sh linux-$SYSNAME-vzserver"
    echo "Doing now: $CMD"
    $CMD > /vz/tmp/$SYSNAME.packres 2>&1
    done
  done
sortie
